Subject: Re: bug#27622: Trying to improve the speed of linum-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Jul 2017 20:01:09 +0300

> From: Fis Trivial <[email-masked]>
> Date: Sat, 8 Jul 2017 09:25:38 +0000
> 
> For some reasons, the linum-mode needs to go over the whole buffer in
> order to update the line numbers. It's ok when viewing a small buffer,
> but when comes to something large it will slow the emacs down like I
> was viewing a ppt(try kernel patch). I don't really understand the
> code, but I changed it a little bit and it works fine so far. Here is
> the patch, linum-o.el is the original code:

Thanks.

Recently, the development sources were updated to provide line-number
display built into Emacs.  That facility doesn't count lines in the
whole buffer, so the slow-down you mention doesn't happen.

So I see no reason to try to fix this issue in linum-mode.